<?xml-stylesheet type="text/xsl" href="../../../development/milestone_plans/stylesheets/milestone-bulletList.xsl"?>
<plan xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="../../../development/milestone_plans/milestonePlan.xsd">
	<component name="ws" subproject="wst">
		<description>WST Web services tools</description>
		<milestone name="M5">
			<title>M5 Plan</title>

			<category name="Web Service Framework and API">
				<item bug="89084" priority="high" status="in-progress">
					<description>Define Web Service Finder framework as public or internal provisional API.</description>
					<developer name="joan@ca.ibm.com"/>
				</item>
				<item bug="89084" priority="high" status="in-progress">
					<description>Define Web Service Finder extensions to locate non-J2EE Web services (eg. Axis, WSDL, WSIL).</description>
					<developer name="joan@ca.ibm.com"/>
				</item>
				<item priority="medium" status="investigate">
					<description>Integrate Web Service Finder framework with [J2EE] Project Explorer.</description>
					<developer name="joan@ca.ibm.com"/>
				</item>
				<item bug="89085" priority="medium" status="in-progress">
					<description>Define Web Service Consumer framework as public or internal provisional API.</description>
					<developer name="gilberta@ca.ibm.com"/>
				</item>
				<item bug="98841" priority="high" status="in-progress">
					<description>Refactor mislocated classes (mainly utility classes) from JST WS to WST WS.</description>
					<developer name="kathy@ca.ibm.com"/>
				</item>
			</category>

			<category name="Web Services Explorer">
				<item bug="98930" priority="medium" status="investigate">
					<description>Exploit Web Service Consumer framework in WSE to present WSDL consumers (ie. the wizards).</description>
					<developer name="gilberta@ca.ibm.com"/>
				</item>
				<item bug="89100" priority="high" status="investigate">
					<description>Exploit Web Service Finder framework in WSE for WSDL import.</description>
					<developer name="joan@ca.ibm.com"/>
				</item>
				<item bug="89101" priority="medium" status="investigate">
					<description>Loosen coupling of WSE on Eclipse so that is able to run outside of the Eclipse platform.</description>
					<developer name="gilberta@ca.ibm.com"/>
				</item>
				<item bug="98843" priority="high" status="in-progress">
					<description>Support Schema nillable elements in the form views.</description>
					<developer name="gilberta@ca.ibm.com"/>
				</item>
				<item bug="98844" priority="high" status="in-progress">
					<description>Support Schema attributes in the form views.</description>
					<developer name="gilberta@ca.ibm.com"/>
				</item>
				<item bug="84945" priority="medium" status="investigate">
					<description>Support tunnelling Web service calls thru basic authenticating firewall proxies.</description>
					<developer name="cbrealey@ca.ibm.com"/>
				</item>
				<item bug="88627" priority="medium" status="investigate" helpWanted="true">
					<description>Support cookies.</description>
					<developer name="cbrealey@ca.ibm.com"/>
				</item>
			</category>

			<category name="Web Services Conformance Profiles">
				<item bug="89086" priority="medium" status="deferred">
					<description>Generalize WS-I Preferences page to manage extensible profiles, including but not limited to WS-I.</description>
					<developer name="kathy@ca.ibm.com"/>
				</item>
			</category>

			<category name="Quality">
				<item bug="98743" priority="high" status="in-progress" helpWanted="true">
					<description>Define JUnit testcases for internal provisional API.</description>
					<developer name="sengpl@ca.ibm.com"/>
				</item>
				<item bug="98743" priority="medium" status="in-progress" helpWanted="true">
					<description>Define or enhance non-API JUnit testcases.</description>
					<developer name="sengpl@ca.ibm.com"/>
				</item>
				<item bug="96010" priority="high" status="investigate" helpWanted="true">
					<description>Write on-line documentation.</description>
					<developer name="cbrealey@ca.ibm.com"/>
				</item>
				<item bug="98775" priority="medium" status="investigate" helpWanted="true">
					<description>Add dynamic help to SWT componentry.</description>
					<developer name="pmoogk@ca.ibm.com"/>
				</item>
				<item bug="98770" priority="high" status="in-progress" helpWanted="true">
					<description>Integrate missing JavaDoc.</description>
					<developer name="cbrealey@ca.ibm.com"/>
				</item>
				<item bug="84073" priority="medium" status="in-progress" helpWanted="true">
					<description>Housekeeping: Clean up compilation warnings. Common cases:</description>
					<developer name="cbrealey@ca.ibm.com"/>
				</item>
			</category>

		</milestone>
	</component>
</plan>